IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/71
Addresses2^57
/64 networksPart of one
- Network
2c19:dd:ec00:c25:aa00::/71- First address
2c19:dd:ec00:c25:aa00::- Last address
2c19:dd:ec00:c25:abff:ffff:ffff:ffff- Addresses
- 144,115,188,075,855,872 (2^57)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ec00:0c25:aa00:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
a.a.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpab.a.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
/71 is not on a 4-bit boundary, so it takes 2 /72 zones.
Split into smaller subnets
2c19:dd:ec00:c25:aa00::/71 makes 512 subnets of /80; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:c25:aa00::/80 | 2c19:dd:ec00:c25:aa00:ffff:ffff:ffff |
| 2 | 2c19:dd:ec00:c25:aa01::/80 | 2c19:dd:ec00:c25:aa01:ffff:ffff:ffff |
| 3 | 2c19:dd:ec00:c25:aa02::/80 | 2c19:dd:ec00:c25:aa02:ffff:ffff:ffff |
| 4 | 2c19:dd:ec00:c25:aa03::/80 | 2c19:dd:ec00:c25:aa03:ffff:ffff:ffff |
| 5 | 2c19:dd:ec00:c25:aa04::/80 | 2c19:dd:ec00:c25:aa04:ffff:ffff:ffff |
| 6 | 2c19:dd:ec00:c25:aa05::/80 | 2c19:dd:ec00:c25:aa05:ffff:ffff:ffff |
| 7 | 2c19:dd:ec00:c25:aa06::/80 | 2c19:dd:ec00:c25:aa06:ffff:ffff:ffff |
| 8 | 2c19:dd:ec00:c25:aa07::/80 | 2c19:dd:ec00:c25:aa07:ffff:ffff:ffff |
| 9 | 2c19:dd:ec00:c25:aa08::/80 | 2c19:dd:ec00:c25:aa08:ffff:ffff:ffff |
| 10 | 2c19:dd:ec00:c25:aa09::/80 | 2c19:dd:ec00:c25:aa09:ffff:ffff:ffff |
| 11 | 2c19:dd:ec00:c25:aa0a::/80 | 2c19:dd:ec00:c25:aa0a:ffff:ffff:ffff |
| 12 | 2c19:dd:ec00:c25:aa0b::/80 | 2c19:dd:ec00:c25:aa0b:ffff:ffff:ffff |
| 13 | 2c19:dd:ec00:c25:aa0c::/80 | 2c19:dd:ec00:c25:aa0c:ffff:ffff:ffff |
| 14 | 2c19:dd:ec00:c25:aa0d::/80 | 2c19:dd:ec00:c25:aa0d:ffff:ffff:ffff |
| 15 | 2c19:dd:ec00:c25:aa0e::/80 | 2c19:dd:ec00:c25:aa0e:ffff:ffff:ffff |
| 16 | 2c19:dd:ec00:c25:aa0f::/80 | 2c19:dd:ec00:c25:aa0f:ffff:ffff:ffff |
| 17 | 2c19:dd:ec00:c25:aa10::/80 | 2c19:dd:ec00:c25:aa10:ffff:ffff:ffff |
| 18 | 2c19:dd:ec00:c25:aa11::/80 | 2c19:dd:ec00:c25:aa11:ffff:ffff:ffff |
| 19 | 2c19:dd:ec00:c25:aa12::/80 | 2c19:dd:ec00:c25:aa12:ffff:ffff:ffff |
| 20 | 2c19:dd:ec00:c25:aa13::/80 | 2c19:dd:ec00:c25:aa13:ffff:ffff:ffff |
| 21 | 2c19:dd:ec00:c25:aa14::/80 | 2c19:dd:ec00:c25:aa14:ffff:ffff:ffff |
| 22 | 2c19:dd:ec00:c25:aa15::/80 | 2c19:dd:ec00:c25:aa15:ffff:ffff:ffff |
| 23 | 2c19:dd:ec00:c25:aa16::/80 | 2c19:dd:ec00:c25:aa16:ffff:ffff:ffff |
| 24 | 2c19:dd:ec00:c25:aa17::/80 | 2c19:dd:ec00:c25:aa17:ffff:ffff:ffff |
| 25 | 2c19:dd:ec00:c25:aa18::/80 | 2c19:dd:ec00:c25:aa18:ffff:ffff:ffff |
| 26 | 2c19:dd:ec00:c25:aa19::/80 | 2c19:dd:ec00:c25:aa19:ffff:ffff:ffff |
| 27 | 2c19:dd:ec00:c25:aa1a::/80 | 2c19:dd:ec00:c25:aa1a:ffff:ffff:ffff |
| 28 | 2c19:dd:ec00:c25:aa1b::/80 | 2c19:dd:ec00:c25:aa1b:ffff:ffff:ffff |
| 29 | 2c19:dd:ec00:c25:aa1c::/80 | 2c19:dd:ec00:c25:aa1c:ffff:ffff:ffff |
| 30 | 2c19:dd:ec00:c25:aa1d::/80 | 2c19:dd:ec00:c25:aa1d:ffff:ffff:ffff |
| 31 | 2c19:dd:ec00:c25:aa1e::/80 | 2c19:dd:ec00:c25:aa1e:ffff:ffff:ffff |
| 32 | 2c19:dd:ec00:c25:aa1f::/80 | 2c19:dd:ec00:c25:aa1f:ffff:ffff:ffff |
| 33 | 2c19:dd:ec00:c25:aa20::/80 | 2c19:dd:ec00:c25:aa20:ffff:ffff:ffff |
| 34 | 2c19:dd:ec00:c25:aa21::/80 | 2c19:dd:ec00:c25:aa21:ffff:ffff:ffff |
| 35 | 2c19:dd:ec00:c25:aa22::/80 | 2c19:dd:ec00:c25:aa22:ffff:ffff:ffff |
| 36 | 2c19:dd:ec00:c25:aa23::/80 | 2c19:dd:ec00:c25:aa23:ffff:ffff:ffff |
| 37 | 2c19:dd:ec00:c25:aa24::/80 | 2c19:dd:ec00:c25:aa24:ffff:ffff:ffff |
| 38 | 2c19:dd:ec00:c25:aa25::/80 | 2c19:dd:ec00:c25:aa25:ffff:ffff:ffff |
| 39 | 2c19:dd:ec00:c25:aa26::/80 | 2c19:dd:ec00:c25:aa26:ffff:ffff:ffff |
| 40 | 2c19:dd:ec00:c25:aa27::/80 | 2c19:dd:ec00:c25:aa27:ffff:ffff:ffff |
| 41 | 2c19:dd:ec00:c25:aa28::/80 | 2c19:dd:ec00:c25:aa28:ffff:ffff:ffff |
| 42 | 2c19:dd:ec00:c25:aa29::/80 | 2c19:dd:ec00:c25:aa29:ffff:ffff:ffff |
| 43 | 2c19:dd:ec00:c25:aa2a::/80 | 2c19:dd:ec00:c25:aa2a:ffff:ffff:ffff |
| 44 | 2c19:dd:ec00:c25:aa2b::/80 | 2c19:dd:ec00:c25:aa2b:ffff:ffff:ffff |
| 45 | 2c19:dd:ec00:c25:aa2c::/80 | 2c19:dd:ec00:c25:aa2c:ffff:ffff:ffff |
| 46 | 2c19:dd:ec00:c25:aa2d::/80 | 2c19:dd:ec00:c25:aa2d:ffff:ffff:ffff |
| 47 | 2c19:dd:ec00:c25:aa2e::/80 | 2c19:dd:ec00:c25:aa2e:ffff:ffff:ffff |
| 48 | 2c19:dd:ec00:c25:aa2f::/80 | 2c19:dd:ec00:c25:aa2f:ffff:ffff:ffff |
| 49 | 2c19:dd:ec00:c25:aa30::/80 | 2c19:dd:ec00:c25:aa30:ffff:ffff:ffff |
| 50 | 2c19:dd:ec00:c25:aa31::/80 | 2c19:dd:ec00:c25:aa31:ffff:ffff:ffff |
| 51 | 2c19:dd:ec00:c25:aa32::/80 | 2c19:dd:ec00:c25:aa32:ffff:ffff:ffff |
| 52 | 2c19:dd:ec00:c25:aa33::/80 | 2c19:dd:ec00:c25:aa33:ffff:ffff:ffff |
| 53 | 2c19:dd:ec00:c25:aa34::/80 | 2c19:dd:ec00:c25:aa34:ffff:ffff:ffff |
| 54 | 2c19:dd:ec00:c25:aa35::/80 | 2c19:dd:ec00:c25:aa35:ffff:ffff:ffff |
| 55 | 2c19:dd:ec00:c25:aa36::/80 | 2c19:dd:ec00:c25:aa36:ffff:ffff:ffff |
| 56 | 2c19:dd:ec00:c25:aa37::/80 | 2c19:dd:ec00:c25:aa37:ffff:ffff:ffff |
| 57 | 2c19:dd:ec00:c25:aa38::/80 | 2c19:dd:ec00:c25:aa38:ffff:ffff:ffff |
| 58 | 2c19:dd:ec00:c25:aa39::/80 | 2c19:dd:ec00:c25:aa39:ffff:ffff:ffff |
| 59 | 2c19:dd:ec00:c25:aa3a::/80 | 2c19:dd:ec00:c25:aa3a:ffff:ffff:ffff |
| 60 | 2c19:dd:ec00:c25:aa3b::/80 | 2c19:dd:ec00:c25:aa3b:ffff:ffff:ffff |
| 61 | 2c19:dd:ec00:c25:aa3c::/80 | 2c19:dd:ec00:c25:aa3c:ffff:ffff:ffff |
| 62 | 2c19:dd:ec00:c25:aa3d::/80 | 2c19:dd:ec00:c25:aa3d:ffff:ffff:ffff |
| 63 | 2c19:dd:ec00:c25:aa3e::/80 | 2c19:dd:ec00:c25:aa3e:ffff:ffff:ffff |
| 64 | 2c19:dd:ec00:c25:aa3f::/80 | 2c19:dd:ec00:c25:aa3f:ffff:ffff:ffff |
| 65 | 2c19:dd:ec00:c25:aa40::/80 | 2c19:dd:ec00:c25:aa40:ffff:ffff:ffff |
| 66 | 2c19:dd:ec00:c25:aa41::/80 | 2c19:dd:ec00:c25:aa41:ffff:ffff:ffff |
| 67 | 2c19:dd:ec00:c25:aa42::/80 | 2c19:dd:ec00:c25:aa42:ffff:ffff:ffff |
| 68 | 2c19:dd:ec00:c25:aa43::/80 | 2c19:dd:ec00:c25:aa43:ffff:ffff:ffff |
| 69 | 2c19:dd:ec00:c25:aa44::/80 | 2c19:dd:ec00:c25:aa44:ffff:ffff:ffff |
| 70 | 2c19:dd:ec00:c25:aa45::/80 | 2c19:dd:ec00:c25:aa45:ffff:ffff:ffff |
| 71 | 2c19:dd:ec00:c25:aa46::/80 | 2c19:dd:ec00:c25:aa46:ffff:ffff:ffff |
| 72 | 2c19:dd:ec00:c25:aa47::/80 | 2c19:dd:ec00:c25:aa47:ffff:ffff:ffff |
| 73 | 2c19:dd:ec00:c25:aa48::/80 | 2c19:dd:ec00:c25:aa48:ffff:ffff:ffff |
| 74 | 2c19:dd:ec00:c25:aa49::/80 | 2c19:dd:ec00:c25:aa49:ffff:ffff:ffff |
| 75 | 2c19:dd:ec00:c25:aa4a::/80 | 2c19:dd:ec00:c25:aa4a:ffff:ffff:ffff |
| 76 | 2c19:dd:ec00:c25:aa4b::/80 | 2c19:dd:ec00:c25:aa4b:ffff:ffff:ffff |
| 77 | 2c19:dd:ec00:c25:aa4c::/80 | 2c19:dd:ec00:c25:aa4c:ffff:ffff:ffff |
| 78 | 2c19:dd:ec00:c25:aa4d::/80 | 2c19:dd:ec00:c25:aa4d:ffff:ffff:ffff |
| 79 | 2c19:dd:ec00:c25:aa4e::/80 | 2c19:dd:ec00:c25:aa4e:ffff:ffff:ffff |
| 80 | 2c19:dd:ec00:c25:aa4f::/80 | 2c19:dd:ec00:c25:aa4f:ffff:ffff:ffff |
| 81 | 2c19:dd:ec00:c25:aa50::/80 | 2c19:dd:ec00:c25:aa50:ffff:ffff:ffff |
| 82 | 2c19:dd:ec00:c25:aa51::/80 | 2c19:dd:ec00:c25:aa51:ffff:ffff:ffff |
| 83 | 2c19:dd:ec00:c25:aa52::/80 | 2c19:dd:ec00:c25:aa52:ffff:ffff:ffff |
| 84 | 2c19:dd:ec00:c25:aa53::/80 | 2c19:dd:ec00:c25:aa53:ffff:ffff:ffff |
| 85 | 2c19:dd:ec00:c25:aa54::/80 | 2c19:dd:ec00:c25:aa54:ffff:ffff:ffff |
| 86 | 2c19:dd:ec00:c25:aa55::/80 | 2c19:dd:ec00:c25:aa55:ffff:ffff:ffff |
| 87 | 2c19:dd:ec00:c25:aa56::/80 | 2c19:dd:ec00:c25:aa56:ffff:ffff:ffff |
| 88 | 2c19:dd:ec00:c25:aa57::/80 | 2c19:dd:ec00:c25:aa57:ffff:ffff:ffff |
| 89 | 2c19:dd:ec00:c25:aa58::/80 | 2c19:dd:ec00:c25:aa58:ffff:ffff:ffff |
| 90 | 2c19:dd:ec00:c25:aa59::/80 | 2c19:dd:ec00:c25:aa59:ffff:ffff:ffff |
| 91 | 2c19:dd:ec00:c25:aa5a::/80 | 2c19:dd:ec00:c25:aa5a:ffff:ffff:ffff |
| 92 | 2c19:dd:ec00:c25:aa5b::/80 | 2c19:dd:ec00:c25:aa5b:ffff:ffff:ffff |
| 93 | 2c19:dd:ec00:c25:aa5c::/80 | 2c19:dd:ec00:c25:aa5c:ffff:ffff:ffff |
| 94 | 2c19:dd:ec00:c25:aa5d::/80 | 2c19:dd:ec00:c25:aa5d:ffff:ffff:ffff |
| 95 | 2c19:dd:ec00:c25:aa5e::/80 | 2c19:dd:ec00:c25:aa5e:ffff:ffff:ffff |
| 96 | 2c19:dd:ec00:c25:aa5f::/80 | 2c19:dd:ec00:c25:aa5f:ffff:ffff:ffff |
| 97 | 2c19:dd:ec00:c25:aa60::/80 | 2c19:dd:ec00:c25:aa60:ffff:ffff:ffff |
| 98 | 2c19:dd:ec00:c25:aa61::/80 | 2c19:dd:ec00:c25:aa61:ffff:ffff:ffff |
| 99 | 2c19:dd:ec00:c25:aa62::/80 | 2c19:dd:ec00:c25:aa62:ffff:ffff:ffff |
| 100 | 2c19:dd:ec00:c25:aa63::/80 | 2c19:dd:ec00:c25:aa63:ffff:ffff:ffff |
| 101 | 2c19:dd:ec00:c25:aa64::/80 | 2c19:dd:ec00:c25:aa64:ffff:ffff:ffff |
| 102 | 2c19:dd:ec00:c25:aa65::/80 | 2c19:dd:ec00:c25:aa65:ffff:ffff:ffff |
| 103 | 2c19:dd:ec00:c25:aa66::/80 | 2c19:dd:ec00:c25:aa66:ffff:ffff:ffff |
| 104 | 2c19:dd:ec00:c25:aa67::/80 | 2c19:dd:ec00:c25:aa67:ffff:ffff:ffff |
| 105 | 2c19:dd:ec00:c25:aa68::/80 | 2c19:dd:ec00:c25:aa68:ffff:ffff:ffff |
| 106 | 2c19:dd:ec00:c25:aa69::/80 | 2c19:dd:ec00:c25:aa69:ffff:ffff:ffff |
| 107 | 2c19:dd:ec00:c25:aa6a::/80 | 2c19:dd:ec00:c25:aa6a:ffff:ffff:ffff |
| 108 | 2c19:dd:ec00:c25:aa6b::/80 | 2c19:dd:ec00:c25:aa6b:ffff:ffff:ffff |
| 109 | 2c19:dd:ec00:c25:aa6c::/80 | 2c19:dd:ec00:c25:aa6c:ffff:ffff:ffff |
| 110 | 2c19:dd:ec00:c25:aa6d::/80 | 2c19:dd:ec00:c25:aa6d:ffff:ffff:ffff |
| 111 | 2c19:dd:ec00:c25:aa6e::/80 | 2c19:dd:ec00:c25:aa6e:ffff:ffff:ffff |
| 112 | 2c19:dd:ec00:c25:aa6f::/80 | 2c19:dd:ec00:c25:aa6f:ffff:ffff:ffff |
| 113 | 2c19:dd:ec00:c25:aa70::/80 | 2c19:dd:ec00:c25:aa70:ffff:ffff:ffff |
| 114 | 2c19:dd:ec00:c25:aa71::/80 | 2c19:dd:ec00:c25:aa71:ffff:ffff:ffff |
| 115 | 2c19:dd:ec00:c25:aa72::/80 | 2c19:dd:ec00:c25:aa72:ffff:ffff:ffff |
| 116 | 2c19:dd:ec00:c25:aa73::/80 | 2c19:dd:ec00:c25:aa73:ffff:ffff:ffff |
| 117 | 2c19:dd:ec00:c25:aa74::/80 | 2c19:dd:ec00:c25:aa74:ffff:ffff:ffff |
| 118 | 2c19:dd:ec00:c25:aa75::/80 | 2c19:dd:ec00:c25:aa75:ffff:ffff:ffff |
| 119 | 2c19:dd:ec00:c25:aa76::/80 | 2c19:dd:ec00:c25:aa76:ffff:ffff:ffff |
| 120 | 2c19:dd:ec00:c25:aa77::/80 | 2c19:dd:ec00:c25:aa77:ffff:ffff:ffff |
| 121 | 2c19:dd:ec00:c25:aa78::/80 | 2c19:dd:ec00:c25:aa78:ffff:ffff:ffff |
| 122 | 2c19:dd:ec00:c25:aa79::/80 | 2c19:dd:ec00:c25:aa79:ffff:ffff:ffff |
| 123 | 2c19:dd:ec00:c25:aa7a::/80 | 2c19:dd:ec00:c25:aa7a:ffff:ffff:ffff |
| 124 | 2c19:dd:ec00:c25:aa7b::/80 | 2c19:dd:ec00:c25:aa7b:ffff:ffff:ffff |
| 125 | 2c19:dd:ec00:c25:aa7c::/80 | 2c19:dd:ec00:c25:aa7c:ffff:ffff:ffff |
| 126 | 2c19:dd:ec00:c25:aa7d::/80 | 2c19:dd:ec00:c25:aa7d:ffff:ffff:ffff |
| 127 | 2c19:dd:ec00:c25:aa7e::/80 | 2c19:dd:ec00:c25:aa7e:ffff:ffff:ffff |
| 128 | 2c19:dd:ec00:c25:aa7f::/80 | 2c19:dd:ec00:c25:aa7f:ffff:ffff:ffff |
| 129 | 2c19:dd:ec00:c25:aa80::/80 | 2c19:dd:ec00:c25:aa80:ffff:ffff:ffff |
| 130 | 2c19:dd:ec00:c25:aa81::/80 | 2c19:dd:ec00:c25:aa81:ffff:ffff:ffff |
| 131 | 2c19:dd:ec00:c25:aa82::/80 | 2c19:dd:ec00:c25:aa82:ffff:ffff:ffff |
| 132 | 2c19:dd:ec00:c25:aa83::/80 | 2c19:dd:ec00:c25:aa83:ffff:ffff:ffff |
| 133 | 2c19:dd:ec00:c25:aa84::/80 | 2c19:dd:ec00:c25:aa84:ffff:ffff:ffff |
| 134 | 2c19:dd:ec00:c25:aa85::/80 | 2c19:dd:ec00:c25:aa85:ffff:ffff:ffff |
| 135 | 2c19:dd:ec00:c25:aa86::/80 | 2c19:dd:ec00:c25:aa86:ffff:ffff:ffff |
| 136 | 2c19:dd:ec00:c25:aa87::/80 | 2c19:dd:ec00:c25:aa87:ffff:ffff:ffff |
| 137 | 2c19:dd:ec00:c25:aa88::/80 | 2c19:dd:ec00:c25:aa88:ffff:ffff:ffff |
| 138 | 2c19:dd:ec00:c25:aa89::/80 | 2c19:dd:ec00:c25:aa89:ffff:ffff:ffff |
| 139 | 2c19:dd:ec00:c25:aa8a::/80 | 2c19:dd:ec00:c25:aa8a:ffff:ffff:ffff |
| 140 | 2c19:dd:ec00:c25:aa8b::/80 | 2c19:dd:ec00:c25:aa8b:ffff:ffff:ffff |
| 141 | 2c19:dd:ec00:c25:aa8c::/80 | 2c19:dd:ec00:c25:aa8c:ffff:ffff:ffff |
| 142 | 2c19:dd:ec00:c25:aa8d::/80 | 2c19:dd:ec00:c25:aa8d:ffff:ffff:ffff |
| 143 | 2c19:dd:ec00:c25:aa8e::/80 | 2c19:dd:ec00:c25:aa8e:ffff:ffff:ffff |
| 144 | 2c19:dd:ec00:c25:aa8f::/80 | 2c19:dd:ec00:c25:aa8f:ffff:ffff:ffff |
| 145 | 2c19:dd:ec00:c25:aa90::/80 | 2c19:dd:ec00:c25:aa90:ffff:ffff:ffff |
| 146 | 2c19:dd:ec00:c25:aa91::/80 | 2c19:dd:ec00:c25:aa91:ffff:ffff:ffff |
| 147 | 2c19:dd:ec00:c25:aa92::/80 | 2c19:dd:ec00:c25:aa92:ffff:ffff:ffff |
| 148 | 2c19:dd:ec00:c25:aa93::/80 | 2c19:dd:ec00:c25:aa93:ffff:ffff:ffff |
| 149 | 2c19:dd:ec00:c25:aa94::/80 | 2c19:dd:ec00:c25:aa94:ffff:ffff:ffff |
| 150 | 2c19:dd:ec00:c25:aa95::/80 | 2c19:dd:ec00:c25:aa95:ffff:ffff:ffff |
| 151 | 2c19:dd:ec00:c25:aa96::/80 | 2c19:dd:ec00:c25:aa96:ffff:ffff:ffff |
| 152 | 2c19:dd:ec00:c25:aa97::/80 | 2c19:dd:ec00:c25:aa97:ffff:ffff:ffff |
| 153 | 2c19:dd:ec00:c25:aa98::/80 | 2c19:dd:ec00:c25:aa98:ffff:ffff:ffff |
| 154 | 2c19:dd:ec00:c25:aa99::/80 | 2c19:dd:ec00:c25:aa99:ffff:ffff:ffff |
| 155 | 2c19:dd:ec00:c25:aa9a::/80 | 2c19:dd:ec00:c25:aa9a:ffff:ffff:ffff |
| 156 | 2c19:dd:ec00:c25:aa9b::/80 | 2c19:dd:ec00:c25:aa9b:ffff:ffff:ffff |
| 157 | 2c19:dd:ec00:c25:aa9c::/80 | 2c19:dd:ec00:c25:aa9c:ffff:ffff:ffff |
| 158 | 2c19:dd:ec00:c25:aa9d::/80 | 2c19:dd:ec00:c25:aa9d:ffff:ffff:ffff |
| 159 | 2c19:dd:ec00:c25:aa9e::/80 | 2c19:dd:ec00:c25:aa9e:ffff:ffff:ffff |
| 160 | 2c19:dd:ec00:c25:aa9f::/80 | 2c19:dd:ec00:c25:aa9f:ffff:ffff:ffff |
| 161 | 2c19:dd:ec00:c25:aaa0::/80 | 2c19:dd:ec00:c25:aaa0:ffff:ffff:ffff |
| 162 | 2c19:dd:ec00:c25:aaa1::/80 | 2c19:dd:ec00:c25:aaa1:ffff:ffff:ffff |
| 163 | 2c19:dd:ec00:c25:aaa2::/80 | 2c19:dd:ec00:c25:aaa2:ffff:ffff:ffff |
| 164 | 2c19:dd:ec00:c25:aaa3::/80 | 2c19:dd:ec00:c25:aaa3:ffff:ffff:ffff |
| 165 | 2c19:dd:ec00:c25:aaa4::/80 | 2c19:dd:ec00:c25:aaa4:ffff:ffff:ffff |
| 166 | 2c19:dd:ec00:c25:aaa5::/80 | 2c19:dd:ec00:c25:aaa5:ffff:ffff:ffff |
| 167 | 2c19:dd:ec00:c25:aaa6::/80 | 2c19:dd:ec00:c25:aaa6:ffff:ffff:ffff |
| 168 | 2c19:dd:ec00:c25:aaa7::/80 | 2c19:dd:ec00:c25:aaa7:ffff:ffff:ffff |
| 169 | 2c19:dd:ec00:c25:aaa8::/80 | 2c19:dd:ec00:c25:aaa8:ffff:ffff:ffff |
| 170 | 2c19:dd:ec00:c25:aaa9::/80 | 2c19:dd:ec00:c25:aaa9:ffff:ffff:ffff |
| 171 | 2c19:dd:ec00:c25:aaaa::/80 | 2c19:dd:ec00:c25:aaaa:ffff:ffff:ffff |
| 172 | 2c19:dd:ec00:c25:aaab::/80 | 2c19:dd:ec00:c25:aaab:ffff:ffff:ffff |
| 173 | 2c19:dd:ec00:c25:aaac::/80 | 2c19:dd:ec00:c25:aaac:ffff:ffff:ffff |
| 174 | 2c19:dd:ec00:c25:aaad::/80 | 2c19:dd:ec00:c25:aaad:ffff:ffff:ffff |
| 175 | 2c19:dd:ec00:c25:aaae::/80 | 2c19:dd:ec00:c25:aaae:ffff:ffff:ffff |
| 176 | 2c19:dd:ec00:c25:aaaf::/80 | 2c19:dd:ec00:c25:aaaf:ffff:ffff:ffff |
| 177 | 2c19:dd:ec00:c25:aab0::/80 | 2c19:dd:ec00:c25:aab0:ffff:ffff:ffff |
| 178 | 2c19:dd:ec00:c25:aab1::/80 | 2c19:dd:ec00:c25:aab1:ffff:ffff:ffff |
| 179 | 2c19:dd:ec00:c25:aab2::/80 | 2c19:dd:ec00:c25:aab2:ffff:ffff:ffff |
| 180 | 2c19:dd:ec00:c25:aab3::/80 | 2c19:dd:ec00:c25:aab3:ffff:ffff:ffff |
| 181 | 2c19:dd:ec00:c25:aab4::/80 | 2c19:dd:ec00:c25:aab4:ffff:ffff:ffff |
| 182 | 2c19:dd:ec00:c25:aab5::/80 | 2c19:dd:ec00:c25:aab5:ffff:ffff:ffff |
| 183 | 2c19:dd:ec00:c25:aab6::/80 | 2c19:dd:ec00:c25:aab6:ffff:ffff:ffff |
| 184 | 2c19:dd:ec00:c25:aab7::/80 | 2c19:dd:ec00:c25:aab7:ffff:ffff:ffff |
| 185 | 2c19:dd:ec00:c25:aab8::/80 | 2c19:dd:ec00:c25:aab8:ffff:ffff:ffff |
| 186 | 2c19:dd:ec00:c25:aab9::/80 | 2c19:dd:ec00:c25:aab9:ffff:ffff:ffff |
| 187 | 2c19:dd:ec00:c25:aaba::/80 | 2c19:dd:ec00:c25:aaba:ffff:ffff:ffff |
| 188 | 2c19:dd:ec00:c25:aabb::/80 | 2c19:dd:ec00:c25:aabb:ffff:ffff:ffff |
| 189 | 2c19:dd:ec00:c25:aabc::/80 | 2c19:dd:ec00:c25:aabc:ffff:ffff:ffff |
| 190 | 2c19:dd:ec00:c25:aabd::/80 | 2c19:dd:ec00:c25:aabd:ffff:ffff:ffff |
| 191 | 2c19:dd:ec00:c25:aabe::/80 | 2c19:dd:ec00:c25:aabe:ffff:ffff:ffff |
| 192 | 2c19:dd:ec00:c25:aabf::/80 | 2c19:dd:ec00:c25:aabf:ffff:ffff:ffff |
| 193 | 2c19:dd:ec00:c25:aac0::/80 | 2c19:dd:ec00:c25:aac0:ffff:ffff:ffff |
| 194 | 2c19:dd:ec00:c25:aac1::/80 | 2c19:dd:ec00:c25:aac1:ffff:ffff:ffff |
| 195 | 2c19:dd:ec00:c25:aac2::/80 | 2c19:dd:ec00:c25:aac2:ffff:ffff:ffff |
| 196 | 2c19:dd:ec00:c25:aac3::/80 | 2c19:dd:ec00:c25:aac3:ffff:ffff:ffff |
| 197 | 2c19:dd:ec00:c25:aac4::/80 | 2c19:dd:ec00:c25:aac4:ffff:ffff:ffff |
| 198 | 2c19:dd:ec00:c25:aac5::/80 | 2c19:dd:ec00:c25:aac5:ffff:ffff:ffff |
| 199 | 2c19:dd:ec00:c25:aac6::/80 | 2c19:dd:ec00:c25:aac6:ffff:ffff:ffff |
| 200 | 2c19:dd:ec00:c25:aac7::/80 | 2c19:dd:ec00:c25:aac7:ffff:ffff:ffff |
| 201 | 2c19:dd:ec00:c25:aac8::/80 | 2c19:dd:ec00:c25:aac8:ffff:ffff:ffff |
| 202 | 2c19:dd:ec00:c25:aac9::/80 | 2c19:dd:ec00:c25:aac9:ffff:ffff:ffff |
| 203 | 2c19:dd:ec00:c25:aaca::/80 | 2c19:dd:ec00:c25:aaca:ffff:ffff:ffff |
| 204 | 2c19:dd:ec00:c25:aacb::/80 | 2c19:dd:ec00:c25:aacb:ffff:ffff:ffff |
| 205 | 2c19:dd:ec00:c25:aacc::/80 | 2c19:dd:ec00:c25:aacc:ffff:ffff:ffff |
| 206 | 2c19:dd:ec00:c25:aacd::/80 | 2c19:dd:ec00:c25:aacd:ffff:ffff:ffff |
| 207 | 2c19:dd:ec00:c25:aace::/80 | 2c19:dd:ec00:c25:aace:ffff:ffff:ffff |
| 208 | 2c19:dd:ec00:c25:aacf::/80 | 2c19:dd:ec00:c25:aacf:ffff:ffff:ffff |
| 209 | 2c19:dd:ec00:c25:aad0::/80 | 2c19:dd:ec00:c25:aad0:ffff:ffff:ffff |
| 210 | 2c19:dd:ec00:c25:aad1::/80 | 2c19:dd:ec00:c25:aad1:ffff:ffff:ffff |
| 211 | 2c19:dd:ec00:c25:aad2::/80 | 2c19:dd:ec00:c25:aad2:ffff:ffff:ffff |
| 212 | 2c19:dd:ec00:c25:aad3::/80 | 2c19:dd:ec00:c25:aad3:ffff:ffff:ffff |
| 213 | 2c19:dd:ec00:c25:aad4::/80 | 2c19:dd:ec00:c25:aad4:ffff:ffff:ffff |
| 214 | 2c19:dd:ec00:c25:aad5::/80 | 2c19:dd:ec00:c25:aad5:ffff:ffff:ffff |
| 215 | 2c19:dd:ec00:c25:aad6::/80 | 2c19:dd:ec00:c25:aad6:ffff:ffff:ffff |
| 216 | 2c19:dd:ec00:c25:aad7::/80 | 2c19:dd:ec00:c25:aad7:ffff:ffff:ffff |
| 217 | 2c19:dd:ec00:c25:aad8::/80 | 2c19:dd:ec00:c25:aad8:ffff:ffff:ffff |
| 218 | 2c19:dd:ec00:c25:aad9::/80 | 2c19:dd:ec00:c25:aad9:ffff:ffff:ffff |
| 219 | 2c19:dd:ec00:c25:aada::/80 | 2c19:dd:ec00:c25:aada:ffff:ffff:ffff |
| 220 | 2c19:dd:ec00:c25:aadb::/80 | 2c19:dd:ec00:c25:aadb:ffff:ffff:ffff |
| 221 | 2c19:dd:ec00:c25:aadc::/80 | 2c19:dd:ec00:c25:aadc:ffff:ffff:ffff |
| 222 | 2c19:dd:ec00:c25:aadd::/80 | 2c19:dd:ec00:c25:aadd:ffff:ffff:ffff |
| 223 | 2c19:dd:ec00:c25:aade::/80 | 2c19:dd:ec00:c25:aade:ffff:ffff:ffff |
| 224 | 2c19:dd:ec00:c25:aadf::/80 | 2c19:dd:ec00:c25:aadf:ffff:ffff:ffff |
| 225 | 2c19:dd:ec00:c25:aae0::/80 | 2c19:dd:ec00:c25:aae0:ffff:ffff:ffff |
| 226 | 2c19:dd:ec00:c25:aae1::/80 | 2c19:dd:ec00:c25:aae1:ffff:ffff:ffff |
| 227 | 2c19:dd:ec00:c25:aae2::/80 | 2c19:dd:ec00:c25:aae2:ffff:ffff:ffff |
| 228 | 2c19:dd:ec00:c25:aae3::/80 | 2c19:dd:ec00:c25:aae3:ffff:ffff:ffff |
| 229 | 2c19:dd:ec00:c25:aae4::/80 | 2c19:dd:ec00:c25:aae4:ffff:ffff:ffff |
| 230 | 2c19:dd:ec00:c25:aae5::/80 | 2c19:dd:ec00:c25:aae5:ffff:ffff:ffff |
| 231 | 2c19:dd:ec00:c25:aae6::/80 | 2c19:dd:ec00:c25:aae6:ffff:ffff:ffff |
| 232 | 2c19:dd:ec00:c25:aae7::/80 | 2c19:dd:ec00:c25:aae7:ffff:ffff:ffff |
| 233 | 2c19:dd:ec00:c25:aae8::/80 | 2c19:dd:ec00:c25:aae8:ffff:ffff:ffff |
| 234 | 2c19:dd:ec00:c25:aae9::/80 | 2c19:dd:ec00:c25:aae9:ffff:ffff:ffff |
| 235 | 2c19:dd:ec00:c25:aaea::/80 | 2c19:dd:ec00:c25:aaea:ffff:ffff:ffff |
| 236 | 2c19:dd:ec00:c25:aaeb::/80 | 2c19:dd:ec00:c25:aaeb:ffff:ffff:ffff |
| 237 | 2c19:dd:ec00:c25:aaec::/80 | 2c19:dd:ec00:c25:aaec:ffff:ffff:ffff |
| 238 | 2c19:dd:ec00:c25:aaed::/80 | 2c19:dd:ec00:c25:aaed:ffff:ffff:ffff |
| 239 | 2c19:dd:ec00:c25:aaee::/80 | 2c19:dd:ec00:c25:aaee:ffff:ffff:ffff |
| 240 | 2c19:dd:ec00:c25:aaef::/80 | 2c19:dd:ec00:c25:aaef:ffff:ffff:ffff |
| 241 | 2c19:dd:ec00:c25:aaf0::/80 | 2c19:dd:ec00:c25:aaf0:ffff:ffff:ffff |
| 242 | 2c19:dd:ec00:c25:aaf1::/80 | 2c19:dd:ec00:c25:aaf1:ffff:ffff:ffff |
| 243 | 2c19:dd:ec00:c25:aaf2::/80 | 2c19:dd:ec00:c25:aaf2:ffff:ffff:ffff |
| 244 | 2c19:dd:ec00:c25:aaf3::/80 | 2c19:dd:ec00:c25:aaf3:ffff:ffff:ffff |
| 245 | 2c19:dd:ec00:c25:aaf4::/80 | 2c19:dd:ec00:c25:aaf4:ffff:ffff:ffff |
| 246 | 2c19:dd:ec00:c25:aaf5::/80 | 2c19:dd:ec00:c25:aaf5:ffff:ffff:ffff |
| 247 | 2c19:dd:ec00:c25:aaf6::/80 | 2c19:dd:ec00:c25:aaf6:ffff:ffff:ffff |
| 248 | 2c19:dd:ec00:c25:aaf7::/80 | 2c19:dd:ec00:c25:aaf7:ffff:ffff:ffff |
| 249 | 2c19:dd:ec00:c25:aaf8::/80 | 2c19:dd:ec00:c25:aaf8:ffff:ffff:ffff |
| 250 | 2c19:dd:ec00:c25:aaf9::/80 | 2c19:dd:ec00:c25:aaf9:ffff:ffff:ffff |
| 251 | 2c19:dd:ec00:c25:aafa::/80 | 2c19:dd:ec00:c25:aafa:ffff:ffff:ffff |
| 252 | 2c19:dd:ec00:c25:aafb::/80 | 2c19:dd:ec00:c25:aafb:ffff:ffff:ffff |
| 253 | 2c19:dd:ec00:c25:aafc::/80 | 2c19:dd:ec00:c25:aafc:ffff:ffff:ffff |
| 254 | 2c19:dd:ec00:c25:aafd::/80 | 2c19:dd:ec00:c25:aafd:ffff:ffff:ffff |
| 255 | 2c19:dd:ec00:c25:aafe::/80 | 2c19:dd:ec00:c25:aafe:ffff:ffff:ffff |
| 256 | 2c19:dd:ec00:c25:aaff::/80 | 2c19:dd:ec00:c25:aaff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |